System.Drawing 2.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

The enumeration is used by the method of the class.

Determines how the source color in a copy pixel operation is combined with the destination color to result in a final color.

- Field
  System.Drawing.CopyPixelOperation

  The destination area is filled by using the color associated with index 0 in the physical palette. (This color is black for the default physical palette.)

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  Windows that are layered on top of your window are included in the resulting image. By default, the image contains only your window. Note that this generally cannot be used for printing device contexts.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The destination area is inverted.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The colors of the source area are merged with the colors of the selected brush of the destination device context using the Boolean AND operator.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The colors of the inverted source area are merged with the colors of the destination area by using the Boolean OR operator.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The bitmap is not mirrored.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The inverted source area is copied to the destination.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The source and destination colors are combined using the Boolean OR operator, and then resultant color is then inverted.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The brush currently selected in the destination device context is copied to the destination bitmap.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The colors of the brush currently selected in the destination device context are combined with the colors of the destination are using the Boolean XOR operator.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The colors of the brush currently selected in the destination device context are combined with the colors of the inverted source area using the Boolean OR operator. The result of this operation is combined with the colors of the destination area using the Boolean OR operator.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The colors of the source and destination areas are combined using the Boolean AND operator.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The source area is copied directly to the destination area.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The inverted colors of the destination area are combined with the colors of the source area using the Boolean AND operator.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The colors of the source and destination areas are combined using the Boolean XOR operator.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The colors of the source and destination areas are combined using the Boolean OR operator.

  2.0.0.0
- Field
  System.Drawing.CopyPixelOperation

  The destination area is filled by using the color associated with index 1 in the physical palette. (This color is white for the default physical palette.)

  2.0.0.0